#pragma once

#include <ReferenceCounter.h>
#include <Vec3.h>

#include "Effect.h"
#include "Inventory.h"

class EntityType;

class Entity : public Inventory
{
private:
    float maxHP;
    float currentHP;
    Framework::Vec3<float> position;
    EntityType *zEntityType;

public:

    friend Effect;
    friend EntityType;
};