#pragma once

#include <Punkt.h>

#include "Chunk.h"

class Dimension : public virtual Framework::ReferenceCounter
{
private:
    int dimensionId;
    Framework::Trie<Chunk> *chunks;
    void getAddrOf( Framework::Punkt cPos, char *addr );
    void getAddrOfWorld( Framework::Punkt wPos, char *addr );
    Chunk *zChunk( Framework::Punkt wPos );

public:
    Dimension( int id );
    ~Dimension();

    Block *zBlock( Framework::Vec3<int> location );
    void addChunk( Chunk *chunk );
    void save( Framework::Writer *zWriter );
};